export interface QmsUploadAdapterConfig {
    apiUrl: string;
    LANG: any;
    imageUploadTypes: string;
    maxFileSizeMB: number;
}
export declare class QmsUploadAdapter {
    loader: any;
    xhr: XMLHttpRequest;
    config: QmsUploadAdapterConfig;
    constructor(loader: any, config: any);
    abort(): void;
    _initRequest(): void;
    _initListeners(resolve: any, reject: any, filename: any): void;
    _sendRequest(file: File): void;
    _getExtension(file: File): string;
    upload(): any;
}
